scala.xml.pull.XMLEventReader
class Parser

[source: `scala/xml/pull/XMLEventReader.scala`]

`` `class` Parser
  `extends` MarkupHandler `with` MarkupParser `with` ExternalSources `with` Runnable

Value Summary
`val` | input : Source
`val` | preserveWS : Boolean if true, does not remove surplus whitespace

Values and Variables inherited from MarkupParser
curInput, inpStack, pos, extIndex, tmppos, ch, cbuf, dtd, doc, eof

Values and Variables inherited from MarkupHandler
isValidating, decls, ent

Method Summary
`def` | comment (pos : Int, txt : String) : NodeSeq callback method invoked by MarkupParser after parsing comment.
`final def` | elem (pos : Int, pre : String, label : String, attrs : MetaData, pscope : NamespaceBinding, nodes : NodeSeq) : NodeSeq callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks
`override def` | elemEnd (pos : Int, pre : String, label : String) : Unit callback method invoked by MarkupParser after end-tag of element.
`override def` | elemStart (pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding) : Unit callback method invoked by MarkupParser after start-tag of element.
`def` | entityRef (pos : Int, n : String) : NodeSeq callback method invoked by MarkupParser after parsing entity ref.
`def` | procInstr (pos : Int, target : String, txt : String) : NodeSeq callback method invoked by MarkupParser after parsing PI.
`override def` | run : Unit
`def` | text (pos : Int, txt : String) : NodeSeq callback method invoked by MarkupParser after parsing text.

Methods inherited from ExternalSources
externalSource

Methods inherited from MarkupParser
xmlProcInstr, prolog, textDecl, document, putChar, nextch, xToken, xToken, xAttributes, xAttributeValue, xEntityValue, xTag, xEndTag, xCharData, xCharRef, xComment, appendText, content1, content, externalID, parseDTD, element, element1, xName, xEQ, xSpaceOpt, xSpace, xProcInstr, xText, systemLiteral, pubidLiteral, extSubset, markupDecl1, markupDecl, intSubset, elementDecl, attrDecl, entityDecl, notationDecl, reportSyntaxError, reportSyntaxError, reportValidationError, push, pushExternal, pop, normalizeAttributeValue

Methods inherited from TokenTests
isSpace, isSpace, isNameChar, isNameStart, isName, isPubIDChar, isValidIANAEncoding, checkSysID, checkPubID

Methods inherited from MarkupHandler
lookupElemDecl, replacementText, endDTD, elemDecl, attListDecl, parameterEntityDecl, parsedEntityDecl, unparsedEntityDecl, notationDecl, peReference

Methods inherited from Logged
log

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` preserveWS : Boolean

  if true, does not remove surplus whitespace

Overrides
  MarkupParser.preserveWS

`` `val` input : Source

Overrides
  MarkupParser.input

Method Details

`override` `def` elemStart(pos : Int, pre : String, label : String, attrs : MetaData, scope : NamespaceBinding) : Unit

  callback method invoked by MarkupParser after start-tag of element.

Parameters
  `pos -` the position in the sourcefile
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)

Overrides
  MarkupHandler.elemStart

`override` `def` elemEnd(pos : Int, pre : String, label : String) : Unit

  callback method invoked by MarkupParser after end-tag of element.

Parameters
  `pos -` the position in the source file
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)

Overrides
  MarkupHandler.elemEnd

`final` `def` elem(pos : Int, pre : String, label : String, attrs : MetaData, pscope : NamespaceBinding, nodes : NodeSeq) : NodeSeq

  callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks

Parameters
  `pos -` the position in the source file
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)
  `args -` the children of this element
Returns
  ...

Overrides
  MarkupHandler.elem

`` `def` procInstr(pos : Int, target : String, txt : String) : NodeSeq

  callback method invoked by MarkupParser after parsing PI.

Parameters
  `pos -` the position in the source file
  `target -` ...
  `txt -` ...
Returns
  ...

Overrides
  MarkupHandler.procInstr

`` `def` comment(pos : Int, txt : String) : NodeSeq

  callback method invoked by MarkupParser after parsing comment.

Parameters
  `pos -` the position in the source file
  `comment -` ...
Returns
  ...

Overrides
  MarkupHandler.comment

`` `def` entityRef(pos : Int, n : String) : NodeSeq

  callback method invoked by MarkupParser after parsing entity ref.

Todo
  expanding entity references

Overrides
  MarkupHandler.entityRef

`` `def` text(pos : Int, txt : String) : NodeSeq

  callback method invoked by MarkupParser after parsing text.

Overrides
  MarkupHandler.text

`override` `def` run : Unit

Overrides
  Runnable.run